Skip to main content
GET
/
v0
/
dedicated_endpoints
List Dedicated Endpoints
curl --request GET \
  --url https://api.tokenfactory.nebius.com/v0/dedicated_endpoints \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "enabled": true,
      "routing_key": "<string>",
      "model_name": "<string>",
      "flavor_name": "<string>",
      "region": "<string>",
      "gpu_type": "gpu-l40s-d",
      "gpu_count": 123,
      "custom_weights_id": "<string>",
      "scaling": {
        "min_replicas": 2,
        "max_replicas": 2
      },
      "deployment": {
        "ready_replicas": 123,
        "status": "starting",
        "readiness": "ready"
      },
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "object": "list"
}

Documentation Index

Fetch the complete documentation index at: https://docs.tokenfactory.nebius.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ai_project_id
string | null

Project ID to list endpoints

Response

Successful Response

data
DedicatedEndpoint · object[]
required
object
string
default:list